> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trophy.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a points system by ID

> Get a points system by ID.



## OpenAPI

````yaml https://admin.trophy.so/v1/openapi get /points/{id}
openapi: 3.1.0
info:
  title: Trophy
  version: 1.19.0
servers:
  - x-fern-server-name: Admin API
    url: https://admin.trophy.so/v1
    description: Admin API
security: []
paths:
  /points/{id}:
    servers:
      - url: https://admin.trophy.so/v1
        description: Admin API
    parameters:
      - $ref: '#/components/parameters/TenantId'
    get:
      tags:
        - Admin
      summary: Get a points system by ID
      description: Get a points system by ID.
      operationId: admin_points_systems_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The ID of the points system.
          example: 550e8400-e29b-41d4-a716-446655440000
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminPointsSystem'
              examples:
                Points system:
                  value:
                    id: 550e8400-e29b-41d4-a716-446655440000
                    name: XP
                    key: xp
                    description: Experience points
                    status: active
                    badge: null
                    maxPoints: null
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '422':
          description: Unprocessible Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          source: |
            import { TrophyApiClient } from '@trophyso/node';

            const trophy = new TrophyApiClient({
              apiKey: 'YOUR_API_KEY'
            });

            const system = await trophy.admin.points.systems.get('system-uuid');
        - lang: python
          source: |
            from trophy import TrophyApi

            client = TrophyApi(api_key='YOUR_API_KEY')

            system = client.admin.points.systems.get(id='system-uuid')
        - lang: go
          source: >
            import (
              "context"

              api "github.com/trophyso/trophy-go"
              trophyclient "github.com/trophyso/trophy-go/client"
              "github.com/trophyso/trophy-go/option"
            )


            client := trophyclient.NewClient(
              option.WithApiKey("YOUR_API_KEY"),
            )


            response, err := client.Admin.Points.Systems.Get(context.TODO(),
            "550e8400-e29b-41d4-a716-446655440000")
components:
  parameters:
    TenantId:
      name: Tenant-ID
      in: header
      description: >-
        The tenant identifier for multi-tenant organisations. Required when the
        organisation has multi-tenancy enabled. Pass your own internal customer
        ID for the tenant. Ignored for single-tenant organisations.
      required: false
      schema:
        type: string
      example: customer_12345
  schemas:
    AdminPointsSystem:
      title: AdminPointsSystem
      type: object
      description: A points system returned from the admin points systems endpoints.
      properties:
        id:
          type: string
          format: uuid
          description: The UUID of the points system.
        name:
          type: string
          description: The points system name.
        key:
          type: string
          description: The points system key.
        description:
          type: string
          description: The points system description.
        status:
          type: string
          enum:
            - active
            - archived
          description: The points system status.
        badge:
          oneOf:
            - type: object
              properties:
                url:
                  type: string
              required:
                - url
            - type: 'null'
          description: The badge for the points system.
        maxPoints:
          type:
            - integer
            - 'null'
          description: The maximum points a user can earn.
      required:
        - id
        - name
        - key
        - description
        - status
        - badge
        - maxPoints
    AdminErrorBody:
      title: AdminErrorBody
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````